---
title: 'RTCDataChannel: closing event'
slug: Web/API/RTCDataChannel/closing_event
tags:
  - API
  - Communications
  - Connection
  - Disconnecting
  - Networking
  - RTCDataChannel
  - Reference
  - WebRTC
  - WebRTC API
  - WebRTC Device API
  - closing
  - events
---
<div>{{WebRTCSidebar}}</div>

<p>The <code><strong>closing</strong></code> event is sent to an {{domxref("RTCDataChannel")}} just before the channel begins the process of shutting down its underlying data transport.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{DOMxRef("Event")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{DOMxRef("RTCDataChannel.onclosing")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Description">Description</h2>

<p>While the <code>closing</code> event is sent to the channel just before beginning to close the channel's data transport, the {{domxref("RTCDataChannel.close_event", "close")}} event is sent once the closing process is complete.</p>

<h2 id="Examples">Examples</h2>

<p>This example updates a connection status interface when the <code>closing</code> event arrives.</p>

<p>First, an example using {{domxref("EventTarget.addEventListener", "addEventListener()")}}:</p>

<pre class="brush: js notranslate">dataChannel.addEventListener("closing", ev =&gt; {
  myConnectionStatus.icon = closingIcon;
  myConnectionStatus.text = "Connection closing";
});
</pre>

<p>You can also set the {{domxref("RTCDataChannel.onclosing", "onclosing")}} event handler property directly:</p>

<pre class="brush: js notranslate">pc.onclosing = ev =&gt; {
 myConnectionStatus.icon = closingIcon;
 myConnectionStatus.text = "Connection closing";
};
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{ SpecName('WebRTC 1.0', '#dfn-closing', 'RTCDataChannel: closing event') }}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCDataChannel.closing_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebRTC_API">WebRTC API</a></li>
 <li><a href="/en-US/docs/Web/API/WebRTC_API/Signaling_and_video_calling">Signaling and video calling</a></li>
</ul>
